package com.njcn.event.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月20日 09:56
 */
@Getter
public enum EventResponseEnum {

    /**
     * 暂降模块异常响应码的范围：
     * A00650 ~ A00749
     */
    EVENT_COMMON_ERROR("A00650","暂降模块异常"),
    EVENT_NOT_FOUND("A00651","暂降事件或监测点不存在"),


    /**
     * zbj
     * 2022/8/4
     */
    EVENT_REASON_NOT_FOUND("A00653","暂态原因不存在"),
    EVENT_TYPE_NOT_FOUND("A00654","暂态类型不存在"),
    INDEX_OUT_OF_BOUNDS("A00655","集合索引越界异常"),

    NOT_FOUND("A00656","没有查到数据"),
    NOT_LINEID("A00657","暂无监测点信息"),
    ;

    private final String code;

    private final String message;

    EventResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
